

# ListGatewayRules
<a name="API_ListGatewayRules"></a>

Lists all rules for a gateway.

## Request Syntax
<a name="API_ListGatewayRules_RequestSyntax"></a>

```
GET /gateways/{{gatewayIdentifier}}/rules?maxResults={{maxResults}}&nextToken={{nextToken}} HTTP/1.1
```

## URI Request Parameters
<a name="API_ListGatewayRules_RequestParameters"></a>

The request uses the following URI parameters.

 ** [gatewayIdentifier](#API_ListGatewayRules_RequestSyntax) **   <a name="bedrockagentcorecontrol-ListGatewayRules-request-uri-gatewayIdentifier"></a>
The identifier of the gateway to list rules for.  
Pattern: `([0-9a-z][-]?){1,100}-[0-9a-z]{10}`   
Required: Yes

 ** [maxResults](#API_ListGatewayRules_RequestSyntax) **   <a name="bedrockagentcorecontrol-ListGatewayRules-request-uri-maxResults"></a>
The maximum number of results to return in the response. If the total number of results is greater than this value, use the token returned in the response in the `nextToken` field when making another request to return the next batch of results.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_ListGatewayRules_RequestSyntax) **   <a name="bedrockagentcorecontrol-ListGatewayRules-request-uri-nextToken"></a>
The pagination token from a previous request.  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `\S*` 

## Request Body
<a name="API_ListGatewayRules_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListGatewayRules_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "gatewayRules": [ 
      { 
         "actions": [ 
            { ... }
         ],
         "conditions": [ 
            { ... }
         ],
         "createdAt": "string",
         "description": "string",
         "gatewayArn": "string",
         "priority": number,
         "ruleId": "string",
         "status": "string",
         "system": { 
            "managedBy": "string"
         },
         "updatedAt": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListGatewayRules_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [gatewayRules](#API_ListGatewayRules_ResponseSyntax) **   <a name="bedrockagentcorecontrol-ListGatewayRules-response-gatewayRules"></a>
The list of gateway rules.  
Type: Array of [GatewayRuleDetail](API_GatewayRuleDetail.md) objects

 ** [nextToken](#API_ListGatewayRules_ResponseSyntax) **   <a name="bedrockagentcorecontrol-ListGatewayRules-response-nextToken"></a>
The pagination token to use in a subsequent request.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `\S*` 

## Errors
<a name="API_ListGatewayRules_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
This exception is thrown when a request is denied per access permissions  
HTTP Status Code: 403

 ** InternalServerException **   
This exception is thrown if there was an unexpected error during processing of request  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
This exception is thrown when a resource referenced by the operation does not exist  
HTTP Status Code: 404

 ** ThrottlingException **   
This exception is thrown when the number of requests exceeds the limit  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by the service.  
HTTP Status Code: 400

## See Also
<a name="API_ListGatewayRules_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/bedrock-agentcore-control-2023-06-05/ListGatewayRules) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/bedrock-agentcore-control-2023-06-05/ListGatewayRules) 
+  [AWS SDK for C\+\+](https://docs.aws.amazon.com/goto/SdkForCpp/bedrock-agentcore-control-2023-06-05/ListGatewayRules) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/bedrock-agentcore-control-2023-06-05/ListGatewayRules) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/bedrock-agentcore-control-2023-06-05/ListGatewayRules) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/bedrock-agentcore-control-2023-06-05/ListGatewayRules) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/bedrock-agentcore-control-2023-06-05/ListGatewayRules) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/bedrock-agentcore-control-2023-06-05/ListGatewayRules) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/bedrock-agentcore-control-2023-06-05/ListGatewayRules) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/bedrock-agentcore-control-2023-06-05/ListGatewayRules) 